DVGT(1)

NAME
dvgt - view a TeX DVI file on a variety of common VDUs

SYNOPSIS
dvgt [ options ] file[.dvi]

DESCRIPTION
The program dvgt takes a DVI file file[.dvi] produced by TeX (or by some other processor such as GFtoDVI) and displays it on a variety of commonly available VDUs. The DVI file may be specified without the .dvi extension.

For more information, see the manual dvgt.tex in the TEXINPUTS directory.

OPTIONS
All options have default values. System dependent initial defaults are set at compile-time. Some defaults can be set by environment variables. The command line options override the environment variables, which in turn override the compiled initial defaults.

-H horizontal_offset

-V vertical_offset
    TeX, by default, considers the top left corner of the printed page as one inch below and one inch to the right of the physical page, and dvgt defaults to this. The two offsets move this corner. Positive dimensions move it downwards and rightwards; negative offsets are allowed.

-d file
    dvgt will warn you if your document uses a font at a non-existent size. Rather than abort, it will load the PK font specified after -d and continue so you can look for more errors. Paragraphs using this dummy information are likely to have ragged right margins. Using this overrides the enviroment variable DV_DUMMY_PK.

-e file
    Default TFM file, similar to -d option. Using this overides the environment variable DV_DUMMY_TFM.

-f file
    dvgt gets all its font information from PK files. These files are kept within the directory specified by this option. Using this overides the environment variables PKFONTS and TEXFONTS.

-h file
    The ? command reads the help text file specified by this option. Using this overides the environment variable DV_HELP.

-i  Display the path name of the immediate help file. Typing dvgt by itself displays the immediate help file. Using this overrides the environment variable DV_IMMED_HELP.

-l  Set landscape mode: exchange x and y dimensions. (This does NOT rotate the page, sorry.) The default is portrait mode.

-m i
    This option allows you to replace the default magnification used in the DVI file with some other value; i is a positive integer, 1000 times the desired magnification. The given value should be chosen carefully so that the new font sizes still correspond to existing PK files. Unless you know exactly what you are doing you should avoid using -m, especially if your TeX source file uses gnification and true dimensions.

-p postscript_font_prefix
    dvgt will search the TFM search paths for TFM metric files with this prefix. dvgt cannot interpret PostScript, but TFM files for PS fonts will allow dvgt to leave sufficient space for PS font characters, which will then be displayed as filled (Full mode) or outline (Box mode) blocks of that size. Using this overides the environment variable DV_PSPREFIX.

-r x,y    -r x
    dvgt treats the imaginary sheet of paper on which a DVI page will appear as a two dimensional array of tiny dots known as paper pixels. x and y are positive floating point numbers that define the numbers of pixels per inch in the horizonatl and vertical directions, respectively. Their values should match the respective resolutions of the device that will be used to print your document. If only one value is given, then it is used as the resolution both horizontally and vertically.

-t tfm_directory
    This sets the directory where dvgt will look for TFM (TeX Font Metric) files, such as "cmr10.tfm". Using this overides the environment variable TEXFONTS.

-v string
    This option is used to tell dvgt what type of VDU you are using. The default is to use the value of DV_TERM, if DV_TERM does not describe your VDU you need to override the default value. Typing `dvgt -v vis550 foo' will tell dvgt you're using a VISUAL 550. The current version will accept the following strings (in upper or lower case):

    aed512    AED 512 with 512 by 512 screen
    kermit    same as ncsatel
    linux    use svga libraries on Linux
    ncsatel    NCSA Telnet's Tektronix 4010 emulation
    regis    any ReGIS compatible VDU
            synonyms are GIGI, VK100, VT125, VT240
    tek4010    same as ncsatel
    vis240    VISUAL 240; synonym = VIS241
    vis500    VISUAL 500
    vis550    VISUAL 550
    vis603    VISUAL 603
    vis630    VISUAL 630
    vt100    any VT100 compatible VDU in 80 column mode
    vt102    synonym for VT100
    vt100132    any VT100 compatible VDU in 132 column mode
    vt200    synonym for VT200
    vt220    VT220 using down-loaded chunky graphics
    vt640    VT100 with Retro-Graphics

-x dimen

-y dimen
    These two options define the width and height of the paper upon which your document will be printed. Both values are specified as dimensions like those used in TeX, but the units are restricted to BP, CM, IN, MM, PC, PT, PX, or SP. PX is specific to dvgt, and represents one paper pixel. Every time you select a page, dvgt will use these paper dimensions to check that all printed material falls within the paper edges. The default is system dependent.

SEE ALSO
xdvi(1), tex(1), latex(1)

DIAGNOSTICS

NOTES
The current version of dvgt does not work with a true Tektronix 4010 terminal

AUTHOR
Original DVItoVDU verison in Modula-2 by Andrew Trevorrow; C conversion by Ian Dall. dvgt by Geoffrey Tobin <ecsgrt@luxor.latrobe.edu.au>